Bug 710781 - Unowned /usr/lib/ConsoleKit, /usr/lib/ConsoleKit/run-seat.d dirs
Unowned /usr/lib/ConsoleKit, /usr/lib/ConsoleKit/run-seat.d dirs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-04 14:11 EDT by Ville Skyttä
Modified: 2011-06-20 04:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-20 04:46:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2011-06-04 14:11:07 EDT
$ rpm -qf /usr/lib/ConsoleKit
file /usr/lib/ConsoleKit is not owned by any package
$ rpm -qf /usr/lib/ConsoleKit/run-seat.d
file /usr/lib/ConsoleKit/run-seat.d is not owned by any package
$ rpm -qf /usr/lib/ConsoleKit/run-seat.d/udev-acl.ck 
udev-171-1.fc16.x86_64

udev should own the  /usr/lib/ConsoleKit and /usr/lib/ConsoleKit/run-seat.d dirs.  Fix below, let me know if you'd like me to commit and build this for devel.

diff --git a/udev.spec b/udev.spec
index 4a14c08..acbe4a0 100644
--- a/udev.spec
+++ b/udev.spec
@@ -286,2 +286,4 @@ rm -rf $RPM_BUILD_ROOT
 %{udev_scriptdir}/keymaps/*
+%dir %{_prefix}/lib/ConsoleKit
+%dir %{_prefix}/lib/ConsoleKit/run-seat.d
 %attr(0644,root,root) %{_prefix}/lib/ConsoleKit/run-seat.d/udev-acl.ck
Comment 1 Harald Hoyer 2011-06-17 05:45:10 EDT
$ rpm -qf /usr/lib/ConsoleKit
ConsoleKit-0.4.5-1.fc15.x86_64
Comment 2 Harald Hoyer 2011-06-17 05:46:04 EDT
udev might require ConsoleKit then.. not sure, if that is wanted
Comment 3 Ville Skyttä 2011-06-17 16:13:48 EDT
If udev does not actually require ConsoleKit, the dependency should not be added just for dir ownership, instead the dirs should be owned in udev which is what the patch does.

http://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
Comment 4 Harald Hoyer 2011-06-20 04:16:38 EDT
all right! thanks!

Note You need to log in before you can comment on or make changes to this bug.